# Generated from aasm-5.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aasm

Name: rubygem-%{gem_name}
Version: 5.5.1
Release: 1%{?dist}
Summary: State machine mixin for Ruby objects
License: MIT
URL: https://github.com/aasm/aasm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(sdoc)
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(generator_spec)
# BuildRequires: rubygem(appraisal)
# BuildRequires: rubygem(simplecov-cobertura)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
AASM is a continuation of the acts-as-state-machine rails plugin, built for
plain Ruby objects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Sat Jun 14 2025 mockbuilder - 5.5.1-1
- Initial package
